[DEFAULT]
#debug = false
#log_config_append = <None>
#log_date_format = %Y-%m-%d %H:%M:%S
#log_file = <None>
#log_dir = <None>
#watch_log_file = false
#use_syslog = false
#use_journal = false
#syslog_log_facility = LOG_USER
#use_json = false
#use_stderr = false
#use_eventlog = false
#log_rotate_interval = 1
#log_rotate_interval_type = days
#max_logfile_count = 30
#max_logfile_size_mb = 200
#log_rotation_type = none
#logging_context_format_string = %(asctime)s.%(msecs)03d %(process)d %(levelname)s %(name)s [%(request_id)s %(user_identity)s] %(instance)s%(message)s
#logging_default_format_string = %(asctime)s.%(msecs)03d %(process)d %(levelname)s %(name)s [-] %(instance)s%(message)s
#logging_debug_format_suffix = %(funcName)s %(pathname)s:%(lineno)d
#logging_exception_prefix = %(asctime)s.%(msecs)03d %(process)d ERROR %(name)s %(instance)s
#logging_user_identity_format = %(user)s %(tenant)s %(domain)s %(user_domain)s %(project_domain)s
#default_log_levels = amqp=WARN,amqplib=WARN,boto=WARN,qpid=WARN,sqlalchemy=WARN,suds=INFO,oslo.messaging=INFO,oslo_messaging=INFO,iso8601=WARN,requests.packages.urllib3.connectionpool=WARN,urllib3.connectionpool=WARN,websocket=WARN,requests.packages.urllib3.util.retry=WARN,urllib3.util.retry=WARN,keystonemiddleware=WARN,routes.middleware=WARN,stevedore=WARN,taskflow=WARN,keystoneauth=WARN,oslo.cache=INFO,oslo_policy=INFO,dogpile.core.dogpile=INFO
#publish_errors = false
#instance_format = "[instance: %(uuid)s] "
#instance_uuid_format = "[instance: %(uuid)s] "
#rate_limit_interval = 0
#rate_limit_burst = 0
#rate_limit_except_level = CRITICAL
#fatal_deprecations = false

[agent]
tunnel_types = {{ neutron_ml2_tenant_network_types }}
l2_population = {{ neutron_l2_population }}
#vxlan_udp_port = 4789
#veth_mtu = 9000
#minimize_polling = true
#ovsdb_monitor_respawn_interval = 30
#arp_responder = false
#dont_fragment = true
#enable_distributed_routing = false
#drop_flows_on_start = false
#tunnel_csum = false
#agent_type = Open vSwitch agent
#extensions =

[ovs]
local_ip = {{ node_ip }}
{% if node_hostname in net_nodes %}
bridge_mappings = {{ neutron_net_ovs_bridge_mappings }}
{% else %}
bridge_mappings = {{ neutron_comp_ovs_bridge_mappings }}
{% endif %}
#integration_bridge = br-int
#tunnel_bridge = br-tun
#int_peer_patch_port = patch-tun
#tun_peer_patch_port = patch-int
#use_veth_interconnection = false
#of_interface = native
#datapath_type = system
#vhostuser_socket_dir = /var/run/openvswitch
#of_listen_address = 127.0.0.1
#of_listen_port = 6633
#of_connect_timeout = 30
#of_request_timeout = 10
#ovsdb_interface = native
#ovsdb_connection = tcp:127.0.0.1:6640
#ssl_key_file = <None>
#ssl_cert_file = <None>
#ssl_ca_cert_file = <None>
#ovsdb_debug = false

[securitygroup]
firewall_driver = iptables_hybrid
#enable_security_group = true
#enable_ipset = true

